curl --request POST \
--url https://workspace.basaltic.sh/v1/accounts/{account_id}/role-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"principal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://workspace.basaltic.sh/v1/accounts/{account_id}/role-assignments"
payload = {
"principal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
principal_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
role_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://workspace.basaltic.sh/v1/accounts/{account_id}/role-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"role_assignment": {
"crn": "crn:workspace:::account/660e8400-e29b-41d4-a716-446655440000/role-assignment/770e8400-e29b-41d4-a716-446655440000",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_name": "<string>",
"principal_type": "user",
"principal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Asignar rol de cuenta
Asignar un rol de cuenta a un usuario o grupo de la organización. La asignación otorga permiso para solicitar la asunción de un rol, no acceso directo a un recurso. La directiva de confianza de rol debe autorizar al usuario de forma independiente. Cada usuario tiene como máximo un rol efectivo por cuenta. Las concesiones directas y de grupo pueden repetir el mismo rol, pero un rol diferente se rechaza con ACCOUNT_ROLE_CONFLICT (409). Cambiar una asignación de grupo afecta a sus miembros humanos; los cambios de membresía de grupo en conflicto también se rechazan. Elimine las asignaciones en conflicto antes de cambiar el acceso.
workspace:AssignAccountRole. Consulte permisos de Workspace para obtener la lista completa, lo que cubre cada una y un ejemplo de política.Authorizations
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Path Parameters
Body
Response
Rol de cuenta asignado
Show child attributes
Show child attributes

